BuildRequires: perl-podlators
%define module_name PMLTQ-Commands
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(DBI.pm) perl(Encode.pm) perl(File/ShareDir.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(File/Which.pm) perl(HTTP/Cookies.pm) perl(HTTP/Request/Common.pm) perl(Hash/Merge.pm) perl(IO/Handle.pm) perl(IO/Socket/IP.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Mojo/Base/XS.pm) perl(PMLTQ.pm) perl(PMLTQ/PML2BASE.pm) perl(Pod/Usage.pm) perl(Term/Encoding.pm) perl(Term/ReadLine.pm) perl(Term/UI.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/PostgreSQL.pm) perl(Treex/PML.pm) perl(Treex/PML/Document.pm) perl(Treex/PML/Factory.pm) perl(Treex/PML/Instance.pm) perl(Treex/PML/Schema.pm) perl(UNIVERSAL/DOES.pm) perl(URI/Encode.pm) perl(URI/WithBase.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0.3
Release: alt1
Summary: PMLTQ command line interface
Group: Development/Perl
License: perl
URL: http://ufal.mff.cuni.cz/pmltq/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MATY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Usage: pmltq COMMAND [OPTIONS]

    pmltq version
    pmltq configuration
    pmltq init schema1.xml schema2.xml
    pmltq convert
    pmltq load
    pmltq initdb
    pmltq delete
    pmltq webload
    pmltq webdelete
    pmltq webtreebank
    pmltq webverify

  Options (for all commands):
    -c, --config      Config file, by default commands will look
                      for config file called `pmltq.yml' in the
                      current directory.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes README.md LICENSE
%perl_vendor_privlib/P*
%perl_vendor_privlib/auto/share/dist/*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*

%changelog
* Thu Mar 07 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1
- updated by package builder

* Sun Jan 13 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1
- initial import by package builder

